Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.jena
Interface OntModelProvider

All Known Implementing Classes:
  JenaOWLModel, OWLDatabaseModel

    public interface OntModelProvider

An interface that can be implemented by all OWLModel implementations which provide a Jena OntModel.

Author:
  Holger Knublauch

Field Summary
`static int` | `OWL_DL`
`static int` | `OWL_FULL`
`static int` | `OWL_LITE`

Method Summary
`com.hp.hpl.jena.ontology.OntModel` | `getOntModel()` Gets an OntModel which represents the current state.
`com.hp.hpl.jena.ontology.OntModel` | `getOWLDLOntModel()` Gets or prepares an OntModel which is guaranteed to be in OWL DL, for classification and other reasoning tasks.
`int` | `getOWLSpecies()` Gets the OWL Species of the current main OntModel.
`com.hp.hpl.jena.ontology.OntModel` | `getReasonerOntModel(String classifierURL)` Gets an OntModel that is connected to a (DIG) reasoner.

Field Detail

### OWL_LITE

    static final int OWL_LITE

See Also:
  Constant Field Values

### OWL_DL

    static final int OWL_DL

See Also:
  Constant Field Values

### OWL_FULL

    static final int OWL_FULL

See Also:
  Constant Field Values

Method Detail

### getOntModel

    com.hp.hpl.jena.ontology.OntModel getOntModel()

  Gets an OntModel which represents the current state.

  Returns:
    an OntModel

### getOWLDLOntModel

    com.hp.hpl.jena.ontology.OntModel getOWLDLOntModel()

  Gets or prepares an OntModel which is guaranteed to be in OWL DL, for classification and other reasoning tasks.

  Returns:
    null if the OntModel cannot be reduced to OWL DL

### getOWLSpecies

    int getOWLSpecies()

  Gets the OWL Species of the current main OntModel.

  Returns:
    one of the three OWL_xxx constants

### getReasonerOntModel

    com.hp.hpl.jena.ontology.OntModel getReasonerOntModel(String classifierURL)

  Gets an OntModel that is connected to a (DIG) reasoner.

  Parameters:
    `classifierURL` - the URL of the classifier (usually defined in the preferences)
  Returns:
    An OntModel that contains the classification result

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.